> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show overall progress of actions triggered



## OpenAPI

````yaml get /api/v1/actions
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/actions:
    get:
      tags: []
      summary: Show overall progress of actions triggered
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int64
        - name: limit
          in: query
          schema:
            type: integer
            format: int64
        - name: incomplete
          in: query
          schema:
            type: boolean
        - name: action_types
          in: query
          schema:
            type: string
        - name: creators
          in: query
          schema:
            type: string
        - name: ids
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionsResponse'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/ActionsResponse'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/ActionsResponse'
            application/edn:
              schema:
                $ref: '#/components/schemas/ActionsResponse'
components:
  schemas:
    ActionsResponse:
      required:
        - actions
        - count
      type: object
      properties:
        actions:
          type: array
          items:
            $ref: '#/components/schemas/ActionResponse'
        count:
          type: integer
          format: int64
      additionalProperties: false
    ActionResponse:
      required:
        - action_id
        - created_at
        - payload_type
        - statuses
        - statuses_phased
        - type
        - user_email
        - user_name
      type: object
      properties:
        schedule:
          $ref: '#/components/schemas/Schedule'
        payload_type:
          type: string
          enum:
            - json
            - none
            - text
            - file
        type:
          type: string
        user_email:
          type: string
        action_id:
          type: integer
          format: int64
        user_name:
          type: string
        created_at:
          type: object
        statuses:
          $ref: '#/components/schemas/ActionsResponseActionsStatuses'
        statuses_phased:
          $ref: '#/components/schemas/ActionsResponseActionsStatusesPhased'
      additionalProperties: false
    Schedule:
      required:
        - end_timestamp
        - id
        - next_phase_index
        - phases
        - phases_triggered
        - retry_on_failure_until
        - status
        - tenant_id
      type: object
      properties:
        phases_triggered:
          type: array
          items:
            type: boolean
        next_phase_index:
          type: integer
          format: int64
        end_timestamp:
          type: integer
          format: int64
        retry_on_failure_until:
          type: integer
          format: int64
        phases:
          type: array
          items:
            $ref: '#/components/schemas/Phase'
        status:
          type: string
        id:
          type: integer
          format: int64
        release_notes:
          type: string
        tenant_id:
          type: string
      additionalProperties: false
    ActionsResponseActionsStatuses:
      type: object
      additionalProperties:
        type: integer
        format: int64
    ActionsResponseActionsStatusesPhased:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/ActionsResponseActionsStatusesPhasedInt680'
    Phase:
      required:
        - info
        - name
        - trigger_on
      type: object
      properties:
        name:
          type: string
        trigger_on:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesTriggerOn'
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesTriggerOn'
        info:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesInfo'
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesInfo'
      additionalProperties: false
    ActionsResponseActionsStatusesPhasedInt680:
      type: object
      additionalProperties:
        type: integer
        format: int64
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````